Create Engage draft
curl --request POST \
--url https://app.forecastable.com/api/v1/engage/drafts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"body": "<string>",
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"from": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachmentSourceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateAttachmentIds": [
"<string>"
]
}
'import requests
url = "https://app.forecastable.com/api/v1/engage/drafts"
payload = {
"subject": "<string>",
"body": "<string>",
"to": ["<string>"],
"cc": ["<string>"],
"bcc": ["<string>"],
"from": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachmentSourceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateAttachmentIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: '<string>',
body: JSON.stringify('<string>'),
to: ['<string>'],
cc: ['<string>'],
bcc: ['<string>'],
from: '<string>',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
forUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attachmentSourceTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
templateAttachmentIds: ['<string>']
})
};
fetch('https://app.forecastable.com/api/v1/engage/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"draft": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subject": "<string>",
"body": "<string>",
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"from": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachmentSourceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateAttachmentIds": [
"<string>"
],
"appliedLists": [
{}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Engage Drafts
Create Engage draft
POST
/
engage
/
drafts
Create Engage draft
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Available options:
email, linkedin, slack Available options:
send, template, campaign Maximum string length:
998Maximum string length:
500000Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Organization user the draft belongs to. Required for client-credential tokens; user tokens default to the authenticated user.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Created draft.
Show child attributes
Show child attributes
Was this page helpful?
⌘I